<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xs:complexType name="lineType">
		<xs:simpleContent>
			<xs:extension base="xs:string">
				<xs:attribute name="trait" type="xs:string" />
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:element name="lines">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="seam" maxOccurs="unbounded">
					<xs:complexType>
						<xs:choice minOccurs="0" maxOccurs="unbounded">
							<xs:element name="line" type="lineType" />
							<xs:element name="rule">
								<xs:complexType>
									<xs:sequence>
										<xs:element name="line" type="lineType" maxOccurs="unbounded" />
									</xs:sequence>
									<xs:attribute name="need" type="xs:string" />
									<xs:attribute name="like" type="xs:string" />
								</xs:complexType>
							</xs:element>
						</xs:choice>
						<xs:attribute name="key" type="xs:string" use="required" />
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
</xs:schema>
